# Debug data set, which is used for all requests against github api by official docs.
# Needed to avoid external service calls during tests

# Response for a search api call
GITHUB_ISSUE_SEARCH_ANSWER = {
    "total_count": 2,
    "incomplete_results": False,
    "items": [
        {
            "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/141",
            "repository_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs",
            "labels_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/141/labels{/name}",
            "comments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/141/comments",
            "events_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/141/events",
            "html_url": "https://github.com/useblocks/sphinxcontrib-needs/issues/141",
            "id": 586783574,
            "node_id": "MDU6SXNzdWU1ODY3ODM1NzQ=",
            "number": 100,
            "title": "A node can only be in one page, else it will be cut when generate latexpdf ",
            "user": {
                "login": "sophiali2008",
                "id": 62423175,
                "node_id": "MDQ6VXNlcjYyNDIzMTc1",
                "avatar_url": "https://avatars.githubusercontent.com/u/62423175?v=4",
                "gravatar_id": "",
                "url": "https://api.github.com/users/sophiali2008",
                "html_url": "https://github.com/sophiali2008",
                "followers_url": "https://api.github.com/users/sophiali2008/followers",
                "following_url": "https://api.github.com/users/sophiali2008/following{/other_user}",
                "gists_url": "https://api.github.com/users/sophiali2008/gists{/gist_id}",
                "starred_url": "https://api.github.com/users/sophiali2008/starred{/owner}{/repo}",
                "subscriptions_url": "https://api.github.com/users/sophiali2008/subscriptions",
                "organizations_url": "https://api.github.com/users/sophiali2008/orgs",
                "repos_url": "https://api.github.com/users/sophiali2008/repos",
                "events_url": "https://api.github.com/users/sophiali2008/events{/privacy}",
                "received_events_url": "https://api.github.com/users/sophiali2008/received_events",
                "type": "User",
                "site_admin": False,
            },
            "labels": [
                {
                    "id": 491973814,
                    "node_id": "MDU6TGFiZWw0OTE5NzM4MTQ=",
                    "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/labels/bug",
                    "name": "bug",
                    "color": "ee0701",
                    "default": True,
                    "description": None,
                }
            ],
            "state": "open",
            "locked": False,
            "assignee": None,
            "assignees": [],
            "milestone": {
                "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/milestones/6",
                "html_url": "https://github.com/useblocks/sphinxcontrib-needs/milestone/6",
                "labels_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/milestones/6/labels",
                "id": 5182610,
                "node_id": "MDk6TWlsZXN0b25lNTE4MjYxMA==",
                "number": 6,
                "title": "0.5.5",
                "description": None,
                "creator": {
                    "login": "danwos",
                    "id": 998700,
                    "node_id": "MDQ6VXNlcjk5ODcwMA==",
                    "avatar_url": "https://avatars.githubusercontent.com/u/998700?v=4",
                    "gravatar_id": "",
                    "url": "https://api.github.com/users/danwos",
                    "html_url": "https://github.com/danwos",
                    "followers_url": "https://api.github.com/users/danwos/followers",
                    "following_url": "https://api.github.com/users/danwos/following{/other_user}",
                    "gists_url": "https://api.github.com/users/danwos/gists{/gist_id}",
                    "starred_url": "https://api.github.com/users/danwos/starred{/owner}{/repo}",
                    "subscriptions_url": "https://api.github.com/users/danwos/subscriptions",
                    "organizations_url": "https://api.github.com/users/danwos/orgs",
                    "repos_url": "https://api.github.com/users/danwos/repos",
                    "events_url": "https://api.github.com/users/danwos/events{/privacy}",
                    "received_events_url": "https://api.github.com/users/danwos/received_events",
                    "type": "User",
                    "site_admin": False,
                },
                "open_issues": 2,
                "closed_issues": 0,
                "state": "open",
                "created_at": "2020-03-09T13:53:46Z",
                "updated_at": "2020-03-24T08:50:03Z",
                "due_on": None,
                "closed_at": None,
            },
            "comments": 3,
            "created_at": "2020-03-24T08:30:43Z",
            "updated_at": "2021-02-12T11:57:06Z",
            "closed_at": None,
            "author_association": "NONE",
            "active_lock_reason": None,
            "body": "Hello,\r\nI used the extension needs 0.5.3 in my project, it is perfectly fit in html. \r\nBut when I "
            "generate latexpdf, the content is cut if it is more than one page. Is it possible to generate it like "
            "a longtable which adjust the content in different continues pages ?",
            "performed_via_github_app": None,
            "score": 1.0,
        }
    ],
}

# Response of a specific element from github api
GITHUB_SPECIFIC_ISSUE_ANSWER = {
    "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/141",
    "repository_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs",
    "labels_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/"
    "141/labels{/name}",
    "comments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/141/comments",
    "events_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/141/events",
    "html_url": "https://github.com/useblocks/sphinxcontrib-needs/issues/141",
    "id": 586783574,
    "node_id": "MDU6SXNzdWU1ODY3ODM1NzQ=",
    "number": 340,
    "title": "A node can only be in one page, else it will be cut when generate latexpdf ",
    "user": {
        "login": "sophiali2008",
        "id": 62423175,
        "node_id": "MDQ6VXNlcjYyNDIzMTc1",
        "avatar_url": "https://avatars.githubusercontent.com/u/62423175?v=4",
        "gravatar_id": "",
        "url": "https://api.github.com/users/sophiali2008",
        "html_url": "https://github.com/sophiali2008",
        "followers_url": "https://api.github.com/users/sophiali2008/followers",
        "following_url": "https://api.github.com/users/sophiali2008/following{/other_user}",
        "gists_url": "https://api.github.com/users/sophiali2008/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/sophiali2008/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/sophiali2008/subscriptions",
        "organizations_url": "https://api.github.com/users/sophiali2008/orgs",
        "repos_url": "https://api.github.com/users/sophiali2008/repos",
        "events_url": "https://api.github.com/users/sophiali2008/events{/privacy}",
        "received_events_url": "https://api.github.com/users/sophiali2008/received_events",
        "type": "User",
        "site_admin": False,
    },
    "labels": [
        {
            "id": 491973814,
            "node_id": "MDU6TGFiZWw0OTE5NzM4MTQ=",
            "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs"
            "/labels/bug",
            "name": "bug",
            "color": "ee0701",
            "default": True,
            "description": None,
        }
    ],
    "state": "open",
    "locked": False,
    "assignee": None,
    "assignees": [],
    "milestone": {
        "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/milestones/6",
        "html_url": "https://github.com/useblocks/sphinxcontrib-needs/milestone/6",
        "labels_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/milestones/6/labels",
        "id": 5182610,
        "node_id": "MDk6TWlsZXN0b25lNTE4MjYxMA==",
        "number": 6,
        "title": "0.5.5",
        "description": None,
        "creator": {
            "login": "danwos",
            "id": 998700,
            "node_id": "MDQ6VXNlcjk5ODcwMA==",
            "avatar_url": "https://avatars.githubusercontent.com/u/998700?v=4",
            "gravatar_id": "",
            "url": "https://api.github.com/users/danwos",
            "html_url": "https://github.com/danwos",
            "followers_url": "https://api.github.com/users/danwos/followers",
            "following_url": "https://api.github.com/users/danwos/following{/other_user}",
            "gists_url": "https://api.github.com/users/danwos/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/danwos/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/danwos/subscriptions",
            "organizations_url": "https://api.github.com/users/danwos/orgs",
            "repos_url": "https://api.github.com/users/danwos/repos",
            "events_url": "https://api.github.com/users/danwos/events{/privacy}",
            "received_events_url": "https://api.github.com/users/danwos/received_events",
            "type": "User",
            "site_admin": False,
        },
        "open_issues": 2,
        "closed_issues": 0,
        "state": "open",
        "created_at": "2020-03-09T13:53:46Z",
        "updated_at": "2020-03-24T08:50:03Z",
        "due_on": None,
        "closed_at": None,
    },
    "comments": 3,
    "created_at": "2020-03-24T08:30:43Z",
    "updated_at": "2021-02-12T11:57:06Z",
    "closed_at": None,
    "author_association": "NONE",
    "active_lock_reason": None,
    "body": "Hello,\r\nI used the extension needs 0.5.3 in my project, it is perfectly fit in html. \r\nBut when I "
    "generate latexpdf, the content is cut if it is more than one page. Is it possible to generate it like a "
    "longtable which adjust the content in different continues pages ?",
    "performed_via_github_app": None,
    "score": 1.0,
}

GITHUB_SPECIFIC_COMMIT_ANSWER = {
    "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits"
    "/dc14807f0b247e758bbcbef289 "
    "53444f18b503e3",
    "sha": "dc14807f0b247e758bbcbef28953444f18b503e3",
    "node_id": "MDY6Q29tbWl0NzUyMjU5NDk6ZGMxNDgwN2YwYjI0N2U3NThiYmNiZWYyODk1MzQ0NGYxOGI1MDNlMw==",
    "html_url": "https://github.com/useblocks/sphinxcontrib-needs/commit/dc14807f0b247e758bbcbef28953444f18b503e3",
    "comments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits"
    "/dc14807f0b247e758bbcbef28953444f18b503e3/comments",
    "commit": {
        "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/commits"
        "/dc14807f0b247e758bbcbef28953444f18b503e3",
        "author": {
            "date": "2021-01-06T06:33:48.000+01:00",
            "name": "Daniel Woste",
            "email": "daniel.woste@useblocks.com",
        },
        "committer": {
            "date": "2021-01-06T06:47:45.000+01:00",
            "name": "Daniel Woste",
            "email": "daniel.woste@useblocks.com",
        },
        "message": "string format fix to support python 3.5",
        "tree": {
            "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/trees"
            "/5bf05fc659dd7f2481e5e90ffca5015ee25e047a",
            "sha": "5bf05fc659dd7f2481e5e90ffca5015ee25e047a",
        },
        "comment_count": 0,
    },
    "author": {
        "login": "danwos",
        "id": 998700,
        "node_id": "MDQ6VXNlcjk5ODcwMA==",
        "avatar_url": "https://avatars.githubusercontent.com/u/998700?v=4",
        "gravatar_id": "",
        "url": "https://api.github.com/users/danwos",
        "html_url": "https://github.com/danwos",
        "followers_url": "https://api.github.com/users/danwos/followers",
        "following_url": "https://api.github.com/users/danwos/following{/other_user}",
        "gists_url": "https://api.github.com/users/danwos/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/danwos/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/danwos/subscriptions",
        "organizations_url": "https://api.github.com/users/danwos/orgs",
        "repos_url": "https://api.github.com/users/danwos/repos",
        "events_url": "https://api.github.com/users/danwos/events{/privacy}",
        "received_events_url": "https://api.github.com/users/danwos/received_events",
        "type": "User",
        "site_admin": False,
    },
    "committer": {
        "login": "danwos",
        "id": 998700,
        "node_id": "MDQ6VXNlcjk5ODcwMA==",
        "avatar_url": "https://avatars.githubusercontent.com/u/998700?v=4",
        "gravatar_id": "",
        "url": "https://api.github.com/users/danwos",
        "html_url": "https://github.com/danwos",
        "followers_url": "https://api.github.com/users/danwos/followers",
        "following_url": "https://api.github.com/users/danwos/following{/other_user}",
        "gists_url": "https://api.github.com/users/danwos/gists{/gist_id}",
        "starred_url": "https://api.github.com/users/danwos/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/danwos/subscriptions",
        "organizations_url": "https://api.github.com/users/danwos/orgs",
        "repos_url": "https://api.github.com/users/danwos/repos",
        "events_url": "https://api.github.com/users/danwos/events{/privacy}",
        "received_events_url": "https://api.github.com/users/danwos/received_events",
        "type": "User",
        "site_admin": False,
    },
    "parents": [
        {
            "url": "https://api.github.com/repos/useblocks"
            "/sphinxcontrib-needs/commits"
            "/beec7bec42035e3cad09c8400397fa7c828cdd91",
            "html_url": "https://github.com/useblocks/sphinxcontrib"
            "-needs/commit"
            "/beec7bec42035e3cad09c8400397fa7c828cdd91",
            "sha": "beec7bec42035e3cad09c8400397fa7c828cdd91",
        }
    ],
    "repository": {
        "id": 75225949,
        "node_id": "MDEwOlJlcG9zaXRvcnk3NTIyNTk0OQ==",
        "name": "sphinxcontrib-needs",
        "full_name": "useblocks/sphinxcontrib-needs",
        "private": False,
        "owner": {
            "login": "useblocks",
            "id": 998587,
            "node_id": "MDEyOk9yZ2FuaXphdGlvbjk5ODU4Nw==",
            "avatar_url": "https://avatars.githubusercontent.com/u/998587?v=4",
            "gravatar_id": "",
            "url": "https://api.github.com/users/useblocks",
            "html_url": "https://github.com/useblocks",
            "followers_url": "https://api.github.com/users/useblocks/followers",
            "following_url": "https://api.github.com/users/useblocks/following{/other_user}",
            "gists_url": "https://api.github.com/users/useblocks/gists{/gist_id}",
            "starred_url": "https://api.github.com/users/useblocks/starred{/owner}{/repo}",
            "subscriptions_url": "https://api.github.com/users/useblocks/subscriptions",
            "organizations_url": "https://api.github.com/users/useblocks/orgs",
            "repos_url": "https://api.github.com/users/useblocks/repos",
            "events_url": "https://api.github.com/users/useblocks/events{/privacy}",
            "received_events_url": "https://api.github.com/users/useblocks/received_events",
            "type": "Organization",
            "site_admin": False,
        },
        "html_url": "https://github.com/useblocks/sphinxcontrib-needs",
        "description": "Adds needs/requirements to sphinx",
        "fork": False,
        "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs",
        "forks_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/forks",
        "keys_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/keys{/key_id}",
        "collaborators_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs"
        "/collaborators{/collaborator}",
        "teams_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/teams",
        "hooks_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/hooks",
        "issue_events_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/events{"
        "/number}",
        "events_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/events",
        "assignees_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/assignees{/user}",
        "branches_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/branches{/branch}",
        "tags_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/tags",
        "blobs_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/blobs{/sha}",
        "git_tags_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/tags{/sha}",
        "git_refs_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/refs{/sha}",
        "trees_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/trees{/sha}",
        "statuses_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/statuses/{sha}",
        "languages_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/languages",
        "stargazers_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/stargazers",
        "contributors_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/contributors",
        "subscribers_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/subscribers",
        "subscription_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/subscription",
        "commits_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits{/sha}",
        "git_commits_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git"
        "/commits{/sha}",
        "comments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/comments{/number}",
        "issue_comment_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues"
        "/comments{/number}",
        "contents_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/contents/{+path}",
        "compare_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/compare/{base}...{"
        "head}",
        "merges_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/merges",
        "archive_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/{archive_format}{"
        "/ref}",
        "downloads_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/downloads",
        "issues_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues{/number}",
        "pulls_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/pulls{/number}",
        "milestones_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/milestones{"
        "/number}",
        "notifications_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs"
        "/notifications{?since,all,participating}",
        "labels_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/labels{/name}",
        "releases_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/releases{/id}",
        "deployments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/deployments",
    },
    "score": 1.0,
}

GITHUB_SEARCH_COMMIT_ANSWER = {
    "total_count": 11,
    "incomplete_results": False,
    "items": [
        {
            "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits/dc14807f0b247e758bbcbef28953444f18b503e3",
            "sha": "dc14807f0b247e758bbcbef28953444f18b503e3",
            "node_id": "MDY6Q29tbWl0NzUyMjU5NDk6ZGMxNDgwN2YwYjI0N2U3NThiYmNiZWYyODk1MzQ0NGYxOGI1MDNlMw==",
            "html_url": "https://github.com/useblocks/sphinxcontrib-needs/commit/dc14807f0b247e758bbcbef28953444f18b503e3",
            "comments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits/dc14807f0b247e758bbcbef28953444f18b503e3/comments",
            "commit": {
                "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/commits/dc14807f0b247e758bbcbef28953444f18b503e3",
                "author": {
                    "date": "2021-01-06T06:33:48.000+01:00",
                    "name": "Daniel Woste",
                    "email": "daniel.woste@useblocks.com",
                },
                "committer": {
                    "date": "2021-01-06T06:47:45.000+01:00",
                    "name": "Daniel Woste",
                    "email": "daniel.woste@useblocks.com",
                },
                "message": "string format fix to support python 3.5",
                "tree": {
                    "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/trees/5bf05fc659dd7f2481e5e90ffca5015ee25e047a",
                    "sha": "5bf05fc659dd7f2481e5e90ffca5015ee25e047a",
                },
                "comment_count": 0,
            },
            "author": {
                "login": "danwos",
                "id": 998700,
                "node_id": "MDQ6VXNlcjk5ODcwMA==",
                "avatar_url": "https://avatars.githubusercontent.com/u/998700?v=4",
                "gravatar_id": "",
                "url": "https://api.github.com/users/danwos",
                "html_url": "https://github.com/danwos",
                "followers_url": "https://api.github.com/users/danwos/followers",
                "following_url": "https://api.github.com/users/danwos/following{/other_user}",
                "gists_url": "https://api.github.com/users/danwos/gists{/gist_id}",
                "starred_url": "https://api.github.com/users/danwos/starred{/owner}{/repo}",
                "subscriptions_url": "https://api.github.com/users/danwos/subscriptions",
                "organizations_url": "https://api.github.com/users/danwos/orgs",
                "repos_url": "https://api.github.com/users/danwos/repos",
                "events_url": "https://api.github.com/users/danwos/events{/privacy}",
                "received_events_url": "https://api.github.com/users/danwos/received_events",
                "type": "User",
                "site_admin": False,
            },
            "committer": {
                "login": "danwos",
                "id": 998700,
                "node_id": "MDQ6VXNlcjk5ODcwMA==",
                "avatar_url": "https://avatars.githubusercontent.com/u/998700?v=4",
                "gravatar_id": "",
                "url": "https://api.github.com/users/danwos",
                "html_url": "https://github.com/danwos",
                "followers_url": "https://api.github.com/users/danwos/followers",
                "following_url": "https://api.github.com/users/danwos/following{/other_user}",
                "gists_url": "https://api.github.com/users/danwos/gists{/gist_id}",
                "starred_url": "https://api.github.com/users/danwos/starred{/owner}{/repo}",
                "subscriptions_url": "https://api.github.com/users/danwos/subscriptions",
                "organizations_url": "https://api.github.com/users/danwos/orgs",
                "repos_url": "https://api.github.com/users/danwos/repos",
                "events_url": "https://api.github.com/users/danwos/events{/privacy}",
                "received_events_url": "https://api.github.com/users/danwos/received_events",
                "type": "User",
                "site_admin": False,
            },
            "parents": [
                {
                    "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits/beec7bec42035e3cad09c8400397fa7c828cdd91",
                    "html_url": "https://github.com/useblocks/sphinxcontrib-needs/commit/beec7bec42035e3cad09c8400397fa7c828cdd91",
                    "sha": "beec7bec42035e3cad09c8400397fa7c828cdd91",
                }
            ],
            "repository": {
                "id": 75225949,
                "node_id": "MDEwOlJlcG9zaXRvcnk3NTIyNTk0OQ==",
                "name": "sphinxcontrib-needs",
                "full_name": "useblocks/sphinxcontrib-needs",
                "private": False,
                "owner": {
                    "login": "useblocks",
                    "id": 998587,
                    "node_id": "MDEyOk9yZ2FuaXphdGlvbjk5ODU4Nw==",
                    "avatar_url": "https://avatars.githubusercontent.com/u/998587?v=4",
                    "gravatar_id": "",
                    "url": "https://api.github.com/users/useblocks",
                    "html_url": "https://github.com/useblocks",
                    "followers_url": "https://api.github.com/users/useblocks/followers",
                    "following_url": "https://api.github.com/users/useblocks/following{/other_user}",
                    "gists_url": "https://api.github.com/users/useblocks/gists{/gist_id}",
                    "starred_url": "https://api.github.com/users/useblocks/starred{/owner}{/repo}",
                    "subscriptions_url": "https://api.github.com/users/useblocks/subscriptions",
                    "organizations_url": "https://api.github.com/users/useblocks/orgs",
                    "repos_url": "https://api.github.com/users/useblocks/repos",
                    "events_url": "https://api.github.com/users/useblocks/events{/privacy}",
                    "received_events_url": "https://api.github.com/users/useblocks/received_events",
                    "type": "Organization",
                    "site_admin": False,
                },
                "html_url": "https://github.com/useblocks/sphinxcontrib-needs",
                "description": "Adds needs/requirements to sphinx",
                "fork": False,
                "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs",
                "forks_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/forks",
                "keys_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/keys{/key_id}",
                "collaborators_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/collaborators{/collaborator}",
                "teams_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/teams",
                "hooks_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/hooks",
                "issue_events_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/events{/number}",
                "events_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/events",
                "assignees_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/assignees{/user}",
                "branches_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/branches{/branch}",
                "tags_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/tags",
                "blobs_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/blobs{/sha}",
                "git_tags_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/tags{/sha}",
                "git_refs_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/refs{/sha}",
                "trees_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/trees{/sha}",
                "statuses_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/statuses/{sha}",
                "languages_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/languages",
                "stargazers_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/stargazers",
                "contributors_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/contributors",
                "subscribers_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/subscribers",
                "subscription_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/subscription",
                "commits_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits{/sha}",
                "git_commits_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/commits{/sha}",
                "comments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/comments{/number}",
                "issue_comment_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/comments{/number}",
                "contents_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/contents/{+path}",
                "compare_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/compare/{base}...{head}",
                "merges_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/merges",
                "archive_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/{archive_format}{/ref}",
                "downloads_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/downloads",
                "issues_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues{/number}",
                "pulls_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/pulls{/number}",
                "milestones_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/milestones{/number}",
                "notifications_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/notifications{?since,all,participating}",
                "labels_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/labels{/name}",
                "releases_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/releases{/id}",
                "deployments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/deployments",
            },
            "score": 1.0,
        },
        {
            "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits/e9e2da4fece4a053d1a033027f08356657d61d63",
            "sha": "e9e2da4fece4a053d1a033027f08356657d61d63",
            "node_id": "MDY6Q29tbWl0NzUyMjU5NDk6ZTllMmRhNGZlY2U0YTA1M2QxYTAzMzAyN2YwODM1NjY1N2Q2MWQ2Mw==",
            "html_url": "https://github.com/useblocks/sphinxcontrib-needs/commit/e9e2da4fece4a053d1a033027f08356657d61d63",
            "comments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits/e9e2da4fece4a053d1a033027f08356657d61d63/comments",
            "commit": {
                "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/commits/e9e2da4fece4a053d1a033027f08356657d61d63",
                "author": {
                    "date": "2020-04-24T08:34:27.000+02:00",
                    "name": "Daniel Woste",
                    "email": "daniel.woste@useblocks.com",
                },
                "committer": {
                    "date": "2020-04-24T08:36:31.000+02:00",
                    "name": "Daniel Woste",
                    "email": "daniel.woste@useblocks.com",
                },
                "message": "Pin MarkupSafe installation to version <2 for Python<3.6",
                "tree": {
                    "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/trees/cb297c837987a8facf4c5208a24d66162d249dee",
                    "sha": "cb297c837987a8facf4c5208a24d66162d249dee",
                },
                "comment_count": 0,
            },
            "author": {
                "login": "danwos",
                "id": 998700,
                "node_id": "MDQ6VXNlcjk5ODcwMA==",
                "avatar_url": "https://avatars.githubusercontent.com/u/998700?v=4",
                "gravatar_id": "",
                "url": "https://api.github.com/users/danwos",
                "html_url": "https://github.com/danwos",
                "followers_url": "https://api.github.com/users/danwos/followers",
                "following_url": "https://api.github.com/users/danwos/following{/other_user}",
                "gists_url": "https://api.github.com/users/danwos/gists{/gist_id}",
                "starred_url": "https://api.github.com/users/danwos/starred{/owner}{/repo}",
                "subscriptions_url": "https://api.github.com/users/danwos/subscriptions",
                "organizations_url": "https://api.github.com/users/danwos/orgs",
                "repos_url": "https://api.github.com/users/danwos/repos",
                "events_url": "https://api.github.com/users/danwos/events{/privacy}",
                "received_events_url": "https://api.github.com/users/danwos/received_events",
                "type": "User",
                "site_admin": False,
            },
            "committer": {
                "login": "danwos",
                "id": 998700,
                "node_id": "MDQ6VXNlcjk5ODcwMA==",
                "avatar_url": "https://avatars.githubusercontent.com/u/998700?v=4",
                "gravatar_id": "",
                "url": "https://api.github.com/users/danwos",
                "html_url": "https://github.com/danwos",
                "followers_url": "https://api.github.com/users/danwos/followers",
                "following_url": "https://api.github.com/users/danwos/following{/other_user}",
                "gists_url": "https://api.github.com/users/danwos/gists{/gist_id}",
                "starred_url": "https://api.github.com/users/danwos/starred{/owner}{/repo}",
                "subscriptions_url": "https://api.github.com/users/danwos/subscriptions",
                "organizations_url": "https://api.github.com/users/danwos/orgs",
                "repos_url": "https://api.github.com/users/danwos/repos",
                "events_url": "https://api.github.com/users/danwos/events{/privacy}",
                "received_events_url": "https://api.github.com/users/danwos/received_events",
                "type": "User",
                "site_admin": False,
            },
            "parents": [
                {
                    "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits/add7f346e42921f779d2181b95ae2c7aea3d6546",
                    "html_url": "https://github.com/useblocks/sphinxcontrib-needs/commit/add7f346e42921f779d2181b95ae2c7aea3d6546",
                    "sha": "add7f346e42921f779d2181b95ae2c7aea3d6546",
                }
            ],
            "repository": {
                "id": 75225949,
                "node_id": "MDEwOlJlcG9zaXRvcnk3NTIyNTk0OQ==",
                "name": "sphinxcontrib-needs",
                "full_name": "useblocks/sphinxcontrib-needs",
                "private": False,
                "owner": {
                    "login": "useblocks",
                    "id": 998587,
                    "node_id": "MDEyOk9yZ2FuaXphdGlvbjk5ODU4Nw==",
                    "avatar_url": "https://avatars.githubusercontent.com/u/998587?v=4",
                    "gravatar_id": "",
                    "url": "https://api.github.com/users/useblocks",
                    "html_url": "https://github.com/useblocks",
                    "followers_url": "https://api.github.com/users/useblocks/followers",
                    "following_url": "https://api.github.com/users/useblocks/following{/other_user}",
                    "gists_url": "https://api.github.com/users/useblocks/gists{/gist_id}",
                    "starred_url": "https://api.github.com/users/useblocks/starred{/owner}{/repo}",
                    "subscriptions_url": "https://api.github.com/users/useblocks/subscriptions",
                    "organizations_url": "https://api.github.com/users/useblocks/orgs",
                    "repos_url": "https://api.github.com/users/useblocks/repos",
                    "events_url": "https://api.github.com/users/useblocks/events{/privacy}",
                    "received_events_url": "https://api.github.com/users/useblocks/received_events",
                    "type": "Organization",
                    "site_admin": False,
                },
                "html_url": "https://github.com/useblocks/sphinxcontrib-needs",
                "description": "Adds needs/requirements to sphinx",
                "fork": False,
                "url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs",
                "forks_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/forks",
                "keys_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/keys{/key_id}",
                "collaborators_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/collaborators{/collaborator}",
                "teams_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/teams",
                "hooks_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/hooks",
                "issue_events_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/events{/number}",
                "events_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/events",
                "assignees_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/assignees{/user}",
                "branches_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/branches{/branch}",
                "tags_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/tags",
                "blobs_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/blobs{/sha}",
                "git_tags_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/tags{/sha}",
                "git_refs_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/refs{/sha}",
                "trees_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/trees{/sha}",
                "statuses_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/statuses/{sha}",
                "languages_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/languages",
                "stargazers_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/stargazers",
                "contributors_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/contributors",
                "subscribers_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/subscribers",
                "subscription_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/subscription",
                "commits_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/commits{/sha}",
                "git_commits_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/git/commits{/sha}",
                "comments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/comments{/number}",
                "issue_comment_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues/comments{/number}",
                "contents_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/contents/{+path}",
                "compare_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/compare/{base}...{head}",
                "merges_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/merges",
                "archive_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/{archive_format}{/ref}",
                "downloads_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/downloads",
                "issues_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/issues{/number}",
                "pulls_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/pulls{/number}",
                "milestones_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/milestones{/number}",
                "notifications_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/notifications{?since,all,participating}",
                "labels_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/labels{/name}",
                "releases_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/releases{/id}",
                "deployments_url": "https://api.github.com/repos/useblocks/sphinxcontrib-needs/deployments",
            },
            "score": 1.0,
        },
    ],
}
